Jump to content
cclarry

Waves Free Plugin Revealed

Recommended Posts

15 hours ago, Brian Walton said:

They provide zero support for anything outside of current.  

You are correct with this. But if you have one v11 plug and it's not playing well with v9 or v10, they will help with that. 

Share this post


Link to post
Share on other sites
38 minutes ago, Grem said:

You are correct with this. But if you have one v11 plug and it's not playing well with v9 or v10, they will help with that. 

That was not the case when v10 was current and people had issues with getting v9 to still work.  

Multiple reports of that, including myself.  I would not expect that this has changed in the current state.  

Share this post


Link to post
Share on other sites

I was able to install the current Waves Central yesterday with no issues. For my v9 plugins I downloaded the last V9 from Waves (Central_Offline_v9-92andApps_Win) and the pointed the latest Waves Central to the unzipped directory for the v9 install by selecting Offline Installer and browsing to the directory. Worked for me. 

Share this post


Link to post
Share on other sites
59 minutes ago, DaGeek said:

 Worked for me. 

So any Cakewalk project that had embedded v10 plugins automatically started using v11s and all the setting were retained?
Issue is not with installing but usage.  When I upgraded to v10 I had to manually swap out the v9 versions and try to recreate whatever setting I had previously, many hours of wasted time.

Edited by TheSteven

Share this post


Link to post
Share on other sites

Again I would stress to all who are using Waves v9 & v10 plugins with v11, to run the plugin organizer in WC 11. 

There were some issues with the older versions of WC not installing/uninstalling the shells correctly. This has been sorted out with WC 11.

And again I would advise that if you have one v11 plugin not working with other versions of Waves plugin, contact support. What have you got to loose?

Also I will say again that I am using v11 Waves plugins and have had no problems with older projects in CbB.

  • Like 1
  • Thanks 1

Share this post


Link to post
Share on other sites

It is exactly this "shell beast" that stopped me buying and using Waves plugins. This uncommon idea is the source of a lot of problems (e.g. scanning performance, version compatibility of single plugins, Daw compatibility ...). It is also the reason why I am not interested in even FREE Waves plugins! 😋

Share this post


Link to post
Share on other sites
11 minutes ago, RSMcGuitar said:

I'm running v9 v10 and v11 plugs with no issues whatsoever

Same here.

I had some bundles that shared plugins that were on different versions and just ran the Waves central > Settings > Version organizer.

  • Like 1

Share this post


Link to post
Share on other sites
On 11/29/2019 at 8:42 PM, LAGinz said:

While I was kind of dreading moving to Waves 11, it actually went pretty seamlessly on my new Windows 10  machines. First I did the 11 download and install, which only covered 1 or 2 of my plugins since I don’t WUP. Then I down-loaded (but did not directly activate) the last 9 legacy installer from the Waves site. Instead I then followed the instructions for the OFF line  activation of 9 through the 11 Service Center. 

 

17 hours ago, Grem said:

Again I would stress to all who are using Waves v9 & v10 plugins with v11, to run the plugin organizer in WC 11. 

There were some issues with the older versions of WC not installing/uninstalling the shells correctly. This has been sorted out with WC 11.

And again I would advise that if you have one v11 plugin not working with other versions of Waves plugin, contact support. What have you got to loose?

Also I will say again that I am using v11 Waves plugins and have had no problems with older projects in CbB.

I took the plunge last night...
1. I upgraded my Waves Central to v11. That looked like it took care of my v10 plugins too.
2. Then I downloaded the v9 installer but did NOT run it. Instead I used the "Offline Installer" from the v11 Waves Central and pointed to where I unzipped the v9 stuff which is like 1.3GB IIRC. But my v9 plugins still weren't showing up in my DAW.
3. Next was the "Plugin Organizer" in the settings of the new Waves Central. I ran that, and that took care of it!
4. So I am now running Waves with 1 v11 plugin, a handful of v10 and a pile of v9 and all working.

Thanks LAGinz and  Grem! The Plugin Organizer ultimately got me through the v10 update too.

(whew!)

Edited by mibby

Share this post


Link to post
Share on other sites

I signed up for this, but I'm not downloading it, because I realized I'd have to do it with the Waves downloader and I knew I'd screw it up.  Maybe I wouldn't, but I need another distortion plug like a hole in the head anyway.

I'm not buying any more Waves or updating-- I'm sticking with what I have working in 9 and 10.  Even at the price of 0 cents I'm not buying, because in a few days it will probably be a $199 plug as far as WUP goes.

  I am very happy with the plugins I'm getting elsewhere and there's no WUP to worry about.   Some even update for free, like Melda.

I realize that you can use Waves without WUPing, but a day may come with an operating system change when you'll have to. 

  • Like 1

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...